@vsf-enterprise/bigcommerce-types
3.1.1
Patch Changes
- CHANGED Update
graphql-requestpackage version from^7.2.0to^7.4.0. - CHANGED Updated internal dependencies for Yarn 4 compatibility.
- FIXED Use
export typeforProductPreOrderto prevent ESM runtime errors. - CHANGED Align dependency versions across SDKs, tooling, and shared configs.
- CHANGED Replaced Rollup with tsdown for
@vsf-enterpriseand@alokaipackage builds.
3.1.0
Minor Changes
-
CHANGED BigCommerce GraphQL schema has been updated. No breaking changes were introduced, but some properties has been extended with optional fields and some properties has been deprecated.
-
Customer.addressCountis deprecated. UseCustomer.addresses.collectionInfo.totalItemsinstead. -
Customer.notesis deprecated. UseCustomer.metafields.edges.find(edge => edge.node.key === 'notes')?.node.valueinstead. -
GraphQLResponseis deprecated and will be removed in the next major version. -
GraphQLErroris deprecated and will be removed in the next major version. -
GraphQLDatais deprecated and will be removed in the next major version.
3.0.0
Major Changes
- CHANGED Guarantee compatibility with
@alokai/connectpackage. - CHANGED Updated the package for compatibility with Node.js 22.
Key Updates:
- Upgraded to the latest version of Node.js 22
- Updated CI pipelines to use Node.js 22 for consistency.
- Updated
.nvmrcor.node-versionfiles to specify Node.js version22.14. - Upgraded
@types/nodeto version^22.13.17for compatibility with the latest Node.js features.
Recommendations:
- Use Node.js version
22.14.0or higher for optimal performance, security, and compatibility. - While Node.js 20 is technically supported, it is not recommended as it may cause compatibility issues with certain packages and has not been thoroughly tested.
3.0.0-rc.1
Major Changes
- CHANGED Updated the package for compatibility with Node.js 22.
Key Updates:
- Upgraded to the latest version of Node.js 22
- Updated CI pipelines to use Node.js 22 for consistency.
- Updated
.nvmrcor.node-versionfiles to specify Node.js version22.14. - Upgraded
@types/nodeto version^22.13.17for compatibility with the latest Node.js features.
Recommendations:
- Use Node.js version
22.14.0or higher for optimal performance, security, and compatibility. - While Node.js 20 is technically supported, it is not recommended as it may cause compatibility issues with certain packages and has not been thoroughly tested.
3.0.0-rc.0
Major Changes
Update packages to work with connect rc version
2.1.0
Minor Changes
- ADDED The response of the
getProductByIdendpoint of the Bigcommerce integration will now include the correct values for the following response fields (if the product is a pre-order product): preorder_release_datepreorder_messageis_preorder_only
Before this change, the data returned in those fields was always unpopulated, as if the product was not a pre-order product - even if it in fact was a pre-order product in the Bigcommerce backend.
import { sdk } from "~/sdk.config.ts";
const product = await sdk.getProductById({ entityId: 77 });
console.log(product.data.preorder_release_date); // now includes populated pre-order data2.0.1
Patch Changes
Update axios to ^0.28.0 to mitigate security vulnerability CVE-2023-45857
2.0.0
Major Changes
- CHANGED Changed minimum Node version from 16 to 18. The condition that was forcing the Node version to be lower than 19 is also removed.
1.5.0
Minor Changes
- cefe8e6: Add 'getCategoryTreeGql' method to fetch category tree from BigCommerce via GraphQL. The response is enriched with a 'productCount' field that contains the number of products in each category comparing to the REST
getCategoryTreemethod.
1.4.0
Minor Changes
- 93ebb8f: Added possibility to send cookie-independent requests via SDK to integration's GET endpoints in order to cache their response
1.3.0
Minor Changes
-
Added "deleteCoupon" Endpoint Functionality:
-
Introduced a new API endpoint in the api package to facilitate coupon deletion.
-
Implemented a corresponding client method in the SDK package for seamless interaction.
-
Expanded the types package with necessary data structures to support this feature.
1.2.0
Minor Changes
-
Added "addCoupon" Endpoint Functionality:
- Introduced a new API endpoint in the api package to facilitate coupon addition.
- Implemented a corresponding client method in the SDK package for seamless interaction.
- Expanded the types package with necessary data structures to support this feature.
1.1.0
Minor Changes
- feat: added secureOrderAPIs config for order apis
1.0.1
Patch Changes
- fix: added missing property for base cart
1.0.0
Minor Changes
-
removing unused type in UpdateAddressParameters and introducing new createCustomerAddress sdk method
-
bigcommerce-types - removed redundant customer_id property in the CreateAddressParameters, bigcommerce-sdk - added createCustomerAddress method"